<template>
  <form @submit.prevent="sendMessage">
    <input v-model="message" type="text" placeholder="Type a message..." class="input"/>
    <button type="submit" class="send-button">
      Send
    </button>
  </form>
</template>

<script>
export default {
  data() {
    return {
      message: ''
    }
  },
  methods: {
    sendMessage() {
      if (!this.message) return
      this.$emit('send-message', this.message)
      this.message = ''
    }
  }
}
</script>

<style scoped>
form {
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: white;
  border-top: 1px solid lightgray;
  padding: 16px;
  box-shadow: 0 -2px 2px rgba(0, 0, 0, 10%);
}

.input {
  flex: 1;
  padding: 8px;
  font-size: 14px;
  border-radius: 24px 0 0 24px;
  border: none;
  outline: none;
}

.send-button {
  width: 80px;
  padding: 8px 16px;
  background-color: lightblue;
  color: white;
  font-weight: bold;
  border-radius: 0 24px 24px 0;
  border: none;
  cursor: pointer;
}
</style>
